Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions(), NavigationItem(False), CreatableItem(False)> _
Public Class OfferAnswerOutDocuments
    Inherits FileAttachmentBase

    Private _OfferAnswerOut As OfferAnswerOut
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
        ' This constructor is used when an object is loaded from a persistent storage.
        ' Do not place any code here or place it only when the IsLoading property is false:
        ' if (!IsLoading){
        '   It is now OK to place your initialization code here.
        ' }
        ' or as an alternative, move your initialization code into the AfterConstruction method.
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        ' Place here your initialization code.
    End Sub

    <Association("OfferAnswerOut-OfferAnswerOutDocuments", GetType(OfferAnswerOut))> _
    Property OfferAnswerOut As OfferAnswerOut
        Get
            Return _OfferAnswerOut
        End Get
        Set(value As OfferAnswerOut)
            SetPropertyValue("OfferAnswerOut", _OfferAnswerOut, value)
        End Set
    End Property
  
End Class
